%define major 9
%define library_name %{name}-1.2
%define gtkmm_version 1.2.10

# define to regenerate configure script
%define regenerate_configure 0
%ifarch x86_64 mips
# So that we get updated libtool.m4 for those architectures
%define regenerate_configure 1
%endif

Name: gnomemm
Summary: A C++ interface for Gnome libs (a GUI library for X).
Version: 1.2.4
Release: 1mdk
License: LGPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}-%{version}.tar.bz2
# (fc) 1.2.3-1mdk don't add -L/usr/lib to ldflags
Patch0: gnomemm-1.2.3-libdir.patch.bz2
Patch1: gnomemm-1.2.3-lib64.patch.bz2
Patch2: gnomemm-1.2.3-c++fixes.patch.bz2
URL: http://gtkmm.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	autoconf2.5
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	gnome-libs-devel
BuildRequires:	gtkmm-devel = %{gtkmm_version}
BuildRequires:	texinfo
%if %{regenerate_configure}
BuildRequires:  gnome-common
%endif

%description
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.

%package -n lib%{library_name}_%{major}
Summary: %{summary}
Group: %{group}
Obsoletes: %{name}
Provides: %{name} = %{version}
Requires: libgtkmm1.2 = %{gtkmm_version}

%description -n lib%{library_name}_%{major}
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.



%package -n lib%{library_name}_%{major}-devel
Summary: Headers for developing programs that will use Gnome--.
Group: Development/GNOME and GTK+
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}
Provides: lib%{library_name}-devel = %{version}
Requires: lib%{library_name}_%{major} = %{version}
Requires: gnome-libs-devel
Requires: libgtkmm1.2-devel = %{gtkmm_version}

%description -n lib%{library_name}_%{major}-devel
This package contains the headers that programmers will need to develop
applications which will use Gnome--, part of Gtk-- the C++ interface to 
the GTK+ (the Gimp ToolKit) GUI library.

%prep
%setup -q
%patch0 -p1 -b .libdir
%patch1 -p1 -b .lib64
%patch2 -p1 -b .c++fixes
%if %{regenerate_configure}
libtoolize --copy --force
aclocal -I /usr/share/aclocal/gnome-macros
%endif
#needed by patch0
autoconf

%build
%configure 
%make 

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%makeinstall_std

%post -n lib%{library_name}_%{major} -p /sbin/ldconfig

%postun -n lib%{library_name}_%{major} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n lib%{library_name}_%{major}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_libdir}/*.so.*

%files -n lib%{library_name}_%{major}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/*.so
%{_datadir}/aclocal/*

%changelog
* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-1mdk
- Release 1.2.4

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.3-2mdk
- Patch1: Make it lib64 awaaaaaaaaare
- Patch2: ISO C++ fixes in testsuite, how did maintainer usually test it?

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-1mdk
- Release 1.2.3
- Remove patch0 (merged upstream)
- Patch0: don't add -L/usr/lib to ldflags

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.2-7mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.2-6mdk
- Automated rebuild with gcc3.2

* Fri May 31 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.2-5mdk
- BuildRequires: gtkmm-devel = %{gtkmm_version}
- Patch0: ISO C++ fixes. Don't redefine default arguments.
  ProcBar::ProcBar() should take a callback typed as gint
  (*)(gpointer) instead of gint (*)(). Don't change API, cast for now.

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-4mdk
- BuildRequires

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-3mdk
- Clean docs
- Fix reference directory in .la files

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-2mdk
- Oops, really fix dependencies

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2
- Enforce dependencies

* Fri Sep 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-2mdk
- BuildRequires: flex

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1

* Tue Jul 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0
- Libification
- Rename specfile
- Simplify build requires

* Mon Apr 23 2001 Vincent Saugey <vince@mandrakesoft.com> 1.1.17-1mdk
- Up to date 1.1.17

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.15-2mdk
- Recompiled against latest glib/gtk

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.15-1mdk
- Release 1.1.15
- Remove patch 0 (merged upstream)

* Wed Dec 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.12-1mdk
- Release 1.1.12
- correct dependency
- patch from Gnome CVS to compile with gcc 2.96


* Wed Oct 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.10-3mdk
- fix %%{_tmppath}
- bzip2 source

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.10-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.10-1mdk
- First mdk release

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
